;; NOTE: key-value pairs ending in a trailing ';;' will NOT be read from this
;; file, but from m32_settings.cfg, potentially under a different name.

; Always show configuration options on startup
;   0 - No
;   1 - Yes
forcesetup = 1

; Video mode selection
;   0 - Windowed
;   1 - Fullscreen
fullscreen = 0

; Video resolution
xdim2d = 1024
ydim2d = 768
xdim3d = 1024
ydim3d = 768

; 3D-mode colour depth
bpp = 8

vsync = 0 ;;

; Rendering mode
rendmode = 3

; Grid limits
editorgridextent = 131072
; Startup grid size (0-8, 9 is automatic)
grid = 9

;; OpenGL mode options
usemodels = 1 ;;
usehightile = 1 ;;
; Enabling lazytileselector allows the tile display to interrupt
; drawing hightiles so you can quickly browse without waiting
; for all of them to load. Set to 0 if you experience flickering.
lazytileselector = 0
; glusetexcache: 0:no, 1:yes, 2:compressed
; For best performance, keep this setting in sync with EDuke32
glusetexcache = 2 ;;
glusememcache = 1 ;;
gltexfiltermode = 2 ;;
glanisotropy = 1 ;;
r_downsize = 0 ;;
r_texcompr = 1 ;;
r_shadescale = 1 ;;
r_usenewshading = 3 ;;
r_usetileshades = 2 ;;
r_pr_artmapping = 1 ;;

; Use new aspect determination code? (classic/Polymost)
r_usenewaspect = 1 ;;
; Screen aspect for fullscreen, in the form WWHH (e.g. 1609 for 16:9).
; A value of 0 means to assume that the pixel aspect is square.
r_screenxy = 0 ;;

; Window positioning, 0 = center, 1 = memory
windowpositioning = 0
windowposx = 0
windowposy = 0

; 3D mode brightness setting
vid_gamma = 1
vid_brightness = 0
vid_contrast = 1

; Game executable used for map testing
gameexecutable = eduke32.exe

; Mouse sensitivity
mousesensitivity = 1

; Mouse navigation
;   0 - No
;   1 - Yes
mousenavigation = 1

; Mouse navigation acceleration
mousenavigationaccel = 3

; Quick map cycling (SHIFT)+CTRL+X
;   0 - No
;   1 - Yes
quickmapcycling = 1

; Reverse meaning of Q and W keys in side view mode
sideview_reversehorizrot = 0

; Revert CTRL for tile selction
;   0 - WHEEL:scrolling, CTRL+WHEEL:zooming
;   1 - CTRL+WHEEL:scrolling, WHEEL:zooming
revertCTRL = 0

; Scroll amount for WHEEL in the tile selection
scrollamount = 3

; Turning acceleration+declaration
turnaccel = 16

; Turning deceleration
turndecel = 12

; Autosave map interval (seconds)
autosavesec = 180

; Auto corruption check interval (seconds)
autocorruptchecksec = 0

; Ignore 'already referenced wall' warnings
corruptcheck_noalreadyrefd = 0

; Flag Duke3D issues
corruptcheck_game_duke3d = 1

; Auto-correct inconsistent ceilingstat/floorstat bit 2 and .heinum?
; Set to 2, also warn on 'corruptcheck'.
corruptcheck_heinum = 1

; Fix sprite sectnums when saving a map or entering 3D mode
fixmaponsave_sprites = 1

; Keep texture stretching when dragging wall vertices
keeptexturestretch = 1

; Height indicators (0:none, 1:only 2-sided&different, 2:all)
showheightindicators = 1

; Ambience sound circles (0:none, 1:only in current sector, 2:all)
showambiencesounds = 2

; Default filesystem mode
pathsearchmode = 1

; Experimental 2d/3d hybrid mode
2d3dmode = 0
2d3dsize = 4
2d3d_x = 65535
2d3d_y = 4

; Point and line highlight/selection distances
pointhighlightdist = 512
linehighlightdist = 1024

; TROR: Automatic grayout of plain (non-extended) sectors,
;       toggled with Ctrl-A:
autogray = 0

; 2D mode display type (0:classic, 1:textured, 2:textured/animated)
graphicsmode = 1

; Sample rate in Hz
samplerate = 44100
; Ambient sounds in 3D mode (0:off, 1:on)
ambiencetoggle = 1
parlock = 0

; Try executing m32script on invalid command in the OSD? This makes
; typing m32script commands into the OSD directly possible.
osdtryscript = 0

; Key Settings
;  Here's a map of all the keyboard scan codes: NOTE: values are listed in hex!
; +---------------------------------------------------------------------------------------------+
; | 01   3B  3C  3D  3E   3F  40  41  42   43  44  57  58          46                           |
; |ESC   F1  F2  F3  F4   F5  F6  F7  F8   F9 F10 F11 F12        SCROLL                         |
; |                                                                                             |
; |29  02  03  04  05  06  07  08  09  0A  0B  0C  0D   0E     D2  C7  C9      45  B5  37  4A   |
; | ` '1' '2' '3' '4' '5' '6' '7' '8' '9' '0'  -   =  BACK    INS HOME PGUP  NUMLK KP/ KP* KP-  |
; |                                                                                             |
; | 0F  10  11  12  13  14  15  16  17  18  19  1A  1B  2B     D3  CF  D1      47  48  49  4E   |
; |TAB  Q   W   E   R   T   Y   U   I   O   P   [   ]    \    DEL END PGDN    KP7 KP8 KP9 KP+   |
; |                                                                                             |
; | 3A   1E  1F  20  21  22  23  24  25  26  27  28     1C                     4B  4C  4D       |
; |CAPS  A   S   D   F   G   H   J   K   L   ;   '   ENTER                    KP4 KP5 KP6    9C |
; |                                                                                      KPENTER|
; |  2A    2C  2D  2E  2F  30  31  32  33  34  35    36            C8          4F  50  51       |
; |LSHIFT  Z   X   C   V   B   N   M   ,   .   /   RSHIFT          UP         KP1 KP2 KP3       |
; |                                                                                             |
; | 1D     38              39                  B8     9D       CB  D0   CD      52    53        |
; |LCTRL  LALT           SPACE                RALT   RCTRL   LEFT DOWN RIGHT    KP0    KP.      |
; +---------------------------------------------------------------------------------------------+

keyforward = C8
keybackward = D0
keyturnleft = CB
keyturnright = CD
keyrun = 2A
keystrafe = 9D
keystandhigh = 1E
keystandlow = 2C
key2dmode = 9C
keyconsole = 29

; This option allows you to remap keys in case some of them are not available
; (like on a notebook). It has to be a comma-separated list of SOURCE-TARGET
; scancode values, looked up in the keyboard map above. This also means that
; the key positions count, not their labels for non-US keyboards.
;
; Example:
;  1. Map the backslash key (0x2B) to KPENTER (9C), since portable devices
;     often don't have the latter
;  2. make KP0 (0x52) function as KP5 (0x4C), countering the inability to pan
;     using Shift-KP5-KP8/2 in 3D mode
; remap = 2B-9C,52-4C
remap = 

; Mapster32-script history
